Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class JboNameUtil

`java.lang.Object
oracle.jbo.common.JboNameUtil`

public class JboNameUtil
extends java.lang.Object

Internal: Applications should not use this class.

Field Summary
`static java.lang.String` | `DCX_EXTENSION`
`static char` | `INNER_CLASS_DESIGNATOR`

Constructor Summary
`JboNameUtil()`

Method Summary
`static java.lang.String` | `fastTrim(java.lang.String str)`
`static java.lang.reflect.Method` | `findMethod(java.lang.Class cls, java.lang.String methodName, java.lang.Class[] parameterTypes, java.lang.Class stopClass)`
`static java.lang.String` | `flattenName(java.lang.String name)`
`static java.lang.String` | `getContainerPartOfName(java.lang.String name)`
`static java.lang.String` | `getDefaultBindingName(java.lang.String name)`
`static java.lang.String` | `getDefNameFromInstName(java.lang.String instName)`
`static java.lang.Object` | `getDefObject(java.lang.String beanInfoName)`
`static java.lang.String` | `getDocumentName(java.lang.String name)` Given a metaobject name (a dot-separated full name), returns the corresponding document name.
`static java.lang.String` | `getFirstPartOfName(java.lang.String name)`
`static java.lang.String` | `getInfoNameFromJNDIName(java.lang.String jndiName)`
`static java.lang.String` | `getInstNameFromClassName(java.lang.String className)`
`static java.lang.String` | `getInstNameFromDefName(java.lang.String beanInfoName)`
`static java.lang.String` | `getJNDINameFromDefName(java.util.Hashtable env, java.lang.String beanInfoName)`
`static java.lang.String` | `getLastPartOfName(java.lang.String name)`
`static java.lang.String` | `getLocaleName(LocaleContext locale, java.lang.String sName)`
`static java.lang.String` | `getRemainingPartOfName(java.lang.String name)`
`static java.lang.String` | `getXMLNameFromDefName(java.lang.String beanInfoName)`
`static boolean` | `isAttributeNameValid(java.lang.String nam)`
`static boolean` | `isFlattenedName(java.lang.String name)`
`static boolean` | `isFullNameValid(java.lang.String fullNam)`
`static boolean` | `isJavaReservedWord(java.lang.String testName, boolean respectCase)`
`static boolean` | `isNameValid(java.lang.String nam)`
`static boolean` | `isNameValid(java.lang.String nam, int start, int len, boolean trim)`
`static boolean` | `isSQLReservedWord(java.lang.String testName)`
`static java.lang.String` | `lengthenDefName(java.lang.String shortName)`
`static java.lang.String` | `shortenDefName(java.lang.String beanInfoName)`
`static java.lang.String` | `stripToValidName(java.lang.String name)`
`static java.lang.String` | `toUpperCaseFirstChar(java.lang.String keyStr)`
`static java.lang.String` | `toXMLString(java.lang.String valStr)`
`static java.lang.String` | `unflattenName(java.lang.String name)`
`static boolean` | `xmlValidateTagName(java.lang.String nameStr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INNER_CLASS_DESIGNATOR

    public static final char INNER_CLASS_DESIGNATOR

  See Also:
    Constant Field Values

### DCX_EXTENSION

    public static final java.lang.String DCX_EXTENSION

  See Also:
    Constant Field Values

Constructor Detail

### JboNameUtil

    public JboNameUtil()

Method Detail

### isNameValid

    public static boolean isNameValid(java.lang.String nam)

### isNameValid

    public static boolean isNameValid(java.lang.String nam,
                                      int start,
                                      int len,
                                      boolean trim)

### isAttributeNameValid

    public static boolean isAttributeNameValid(java.lang.String nam)

### isFullNameValid

    public static boolean isFullNameValid(java.lang.String fullNam)

### isFlattenedName

    public static boolean isFlattenedName(java.lang.String name)

### flattenName

    public static java.lang.String flattenName(java.lang.String name)

### unflattenName

    public static java.lang.String unflattenName(java.lang.String name)

### shortenDefName

    public static java.lang.String shortenDefName(java.lang.String beanInfoName)

### lengthenDefName

    public static java.lang.String lengthenDefName(java.lang.String shortName)

### getInstNameFromClassName

    public static java.lang.String getInstNameFromClassName(java.lang.String className)

### getInstNameFromDefName

    public static java.lang.String getInstNameFromDefName(java.lang.String beanInfoName)

### getDocumentName

    public static java.lang.String getDocumentName(java.lang.String name)

  Given a metaobject name (a dot-separated full name), returns the corresponding document name.

  The returned document name is conceptually formed as follows: (1) If the name does not end with a valid BC4J or ADFm document-name extension (".xml", ".jpx", ".cpx", ".ccx"), then ".xml" is appended to it. (2) All '.' characters except the last are replaced by '/'. (3) '/' is prepended, unless the name already begins with '/'.

  Note that the foregoing algorithm is idempotent, that is, invoking this method on a string that was produced by an earlier invocation of this method will return the same string.

  Parameters:
    `name` - The metaobject name or document name.
  Returns:
    The corresponding document name.

### getFirstPartOfName

    public static java.lang.String getFirstPartOfName(java.lang.String name)

### getRemainingPartOfName

    public static java.lang.String getRemainingPartOfName(java.lang.String name)

### getLastPartOfName

    public static java.lang.String getLastPartOfName(java.lang.String name)

### getContainerPartOfName

    public static java.lang.String getContainerPartOfName(java.lang.String name)

### getDefNameFromInstName

    public static java.lang.String getDefNameFromInstName(java.lang.String instName)

### getInfoNameFromJNDIName

    public static java.lang.String getInfoNameFromJNDIName(java.lang.String jndiName)

### getJNDINameFromDefName

    public static java.lang.String getJNDINameFromDefName(java.util.Hashtable env,
                                                          java.lang.String beanInfoName)

### getXMLNameFromDefName

    public static java.lang.String getXMLNameFromDefName(java.lang.String beanInfoName)

### getDefObject

    public static java.lang.Object getDefObject(java.lang.String beanInfoName)
                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### isSQLReservedWord

    public static boolean isSQLReservedWord(java.lang.String testName)

### isJavaReservedWord

    public static boolean isJavaReservedWord(java.lang.String testName,
                                             boolean respectCase)

### findMethod

    public static java.lang.reflect.Method findMethod(java.lang.Class cls,
                                                      java.lang.String methodName,
                                                      java.lang.Class[] parameterTypes,
                                                      java.lang.Class stopClass)

### toXMLString

    public static java.lang.String toXMLString(java.lang.String valStr)

### xmlValidateTagName

    public static boolean xmlValidateTagName(java.lang.String nameStr)

### getLocaleName

    public static java.lang.String getLocaleName(LocaleContext locale,
                                                 java.lang.String sName)

### stripToValidName

    public static java.lang.String stripToValidName(java.lang.String name)

### fastTrim

    public static java.lang.String fastTrim(java.lang.String str)

### toUpperCaseFirstChar

    public static java.lang.String toUpperCaseFirstChar(java.lang.String keyStr)

### getDefaultBindingName

    public static java.lang.String getDefaultBindingName(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.